BEGIN WORK;

ALTER TABLE question_attachment add id SERIAL NOT NULL;
ALTER TABLE computer ADD id SERIAL NOT NULL;
ALTER TABLE course_code_runner ADD id SERIAL NOT NULL;
ALTER TABLE local_provider ADD id SERIAL NOT NULL;
ALTER TABLE question_programming_language ADD id SERIAL NOT NULL;
ALTER TABLE runtime_constraint_course ADD id SERIAL NOT NULL;
ALTER TABLE runtime_constraint_question ADD id SERIAL NOT NULL;
ALTER TABLE runtime_constraint_test ADD id SERIAL NOT NULL;
ALTER TABLE test_correction ADD id SERIAL NOT NULL;

ALTER TABLE academic_year ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE adaptivity_model ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE adaptivity_model_behaviour ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE answer_regex_trigger_template ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE app_user ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE app_user_course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE app_user_role ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE c_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE c_question_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE c_test_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE check_column_mode ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE code_runner ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE code_snippet ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE computer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE connected_elements_correctness_model ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE connected_elements_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE connected_elements_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE course_code_runner ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE course_tag ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE data_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE dendrogram_distance_algorithm ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE diagram_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE email_handled_reminders ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE email_queue ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE email_reminder_scheme ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE exercise ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE exercise_node ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE exercise_student ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE exercise_student_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE exercise_student_question_attempt ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE feedback ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE fixed_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE generator_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE generator_test_file ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE global_data_object ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE grading_model ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE j0_unit_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE json_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE local_provider ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE node ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE node_hierarchy ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE node_parent ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE node_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ordered_element_correctness_model ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ordered_element_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE pace ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE peer_shuffle ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE peer_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE peer_test_group ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE peer_test_group_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE peer_test_group_question_calib ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE perm_user_course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE plag_detection_algorithm ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE plag_detection_data ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE playground_code_runner ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE programming_language ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_assigned_difficulty ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_attachment ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_computed_difficulty ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_course_tag ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_data_object ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_difficulty_computation ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_difficulty_level ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_eval_script ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_node ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_programming_language ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_review ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_scale ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE question_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE random_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE random_test_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE real_time_plag_detection_data ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE role ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE runtime_constraint ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE runtime_constraint_course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE runtime_constraint_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE runtime_constraint_test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE scale ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE scale_item ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE semester ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE sql_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE student ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE student_course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE student_token ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE teacher_lecture_quiz_instance ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_correction ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_question_comp_score ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_question_generated ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_question_manual_grade ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_question_run ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_instance_room ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_message ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_pace ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_part ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE test_type ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE text_question_answer ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ticket ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ticket_message ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ticket_policy ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE ticket_subscription ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_code_question_hint ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_course ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_question_hint ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_step ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_step_hint ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_student ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_student_question ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_student_question_attempt ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_ticket ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_ticket_message ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE tutorial_ticket_subscription ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE upro_schedule_set_test_params ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';
ALTER TABLE versions ADD user_created character varying(50) NOT NULL DEFAULT 'legacy';

ALTER TABLE academic_year ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE adaptivity_model ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE adaptivity_model_behaviour ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE answer_regex_trigger_template ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE app_user ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE app_user_course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE app_user_role ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE c_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE c_question_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE c_test_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE check_column_mode ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE code_runner ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE code_snippet ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE computer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE connected_elements_correctness_model ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE connected_elements_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE connected_elements_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE course_code_runner ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE course_tag ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE data_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE dendrogram_distance_algorithm ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE diagram_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE email_handled_reminders ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE email_queue ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE email_reminder_scheme ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE exercise ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE exercise_node ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE exercise_student ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE exercise_student_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE exercise_student_question_attempt ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE feedback ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE fixed_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE generator_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE generator_test_file ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE global_data_object ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE grading_model ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE j0_unit_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE json_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE local_provider ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE node ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE node_hierarchy ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE node_parent ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE node_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ordered_element_correctness_model ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ordered_element_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE pace ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE peer_shuffle ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE peer_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE peer_test_group ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE peer_test_group_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE peer_test_group_question_calib ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE perm_user_course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE plag_detection_algorithm ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE plag_detection_data ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE playground_code_runner ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE programming_language ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_assigned_difficulty ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_attachment ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_computed_difficulty ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_course_tag ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_data_object ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_difficulty_computation ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_difficulty_level ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_eval_script ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_node ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_programming_language ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_review ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_scale ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE question_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE random_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE random_test_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE real_time_plag_detection_data ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE role ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE runtime_constraint ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE runtime_constraint_course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE runtime_constraint_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE runtime_constraint_test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE scale ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE scale_item ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE semester ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE sql_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE student ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE student_course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE student_token ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE teacher_lecture_quiz_instance ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_correction ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_question_comp_score ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_question_generated ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_question_manual_grade ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_question_run ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_instance_room ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_message ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_pace ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_part ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE test_type ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE text_question_answer ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ticket ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ticket_message ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ticket_policy ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE ticket_subscription ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_code_question_hint ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_course ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_question_hint ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_step ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_step_hint ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_student ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_student_question ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_student_question_attempt ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_ticket ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_ticket_message ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE tutorial_ticket_subscription ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE upro_schedule_set_test_params ALTER COLUMN user_created DROP DEFAULT;
ALTER TABLE versions ALTER COLUMN user_created DROP DEFAULT;



CREATE OR REPLACE FUNCTION audit.stamp() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
    BEGIN
        IF (TG_OP = 'INSERT') THEN
            NEW.ts_created := current_timestamp;
            IF (NEW.user_created IS NULL) THEN
                NEW.user_created := current_user;
            END IF;
        END IF;
        NEW.ts_modified := current_timestamp;
        IF (NEW.user_modified IS NULL) THEN
            NEW.user_modified := current_user;
        END IF;
        RETURN NEW;
    END;
$$;

DROP TABLE IF EXISTS bodovi7za2lv;
DROP TABLE IF EXISTS bodovi7zalv2;
DROP TABLE IF EXISTS bodoviza2lv;
DROP TABLE IF EXISTS bodoviza3lvibias;
DROP TABLE IF EXISTS _bodoviza2lv;
DROP TABLE IF EXISTS _tiq;
DROP TABLE IF EXISTS igor_ti_upro;
DROP TABLE IF EXISTS igor_tiq_upro;
DROP TABLE IF EXISTS old_tutorials_tbd;
DROP TABLE IF EXISTS tempspolag;
DROP TABLE IF EXISTS tempspolagbp;
DROP TABLE IF EXISTS tmp1;

ALTER TABLE teacher_lecture_quiz_instance ADD COLUMN ts_created    timestamp with time zone;
ALTER TABLE teacher_lecture_quiz_instance ADD COLUMN ts_modified   timestamp with time zone;
ALTER TABLE teacher_lecture_quiz_instance ADD COLUMN user_modified varchar(50);
SELECT audit.audit_table('teacher_lecture_quiz_instance');
--ALTER TABLE student_token ADD COLUMN ts_created    timestamp with time zone;
ALTER TABLE student_token ADD COLUMN ts_modified   timestamp with time zone;
ALTER TABLE student_token ADD COLUMN user_modified varchar(50);
SELECT audit.audit_table('student_token');
ALTER TABLE computer ADD COLUMN ts_created    timestamp with time zone;
ALTER TABLE computer ADD COLUMN ts_modified   timestamp with time zone;
ALTER TABLE computer ADD COLUMN user_modified varchar(50);
SELECT audit.audit_table('computer');
ALTER TABLE local_provider ADD COLUMN ts_created    timestamp with time zone;
ALTER TABLE local_provider ADD COLUMN ts_modified   timestamp with time zone;
ALTER TABLE local_provider ADD COLUMN user_modified varchar(50);
SELECT audit.audit_table('local_provider');
ALTER TABLE test_instance_room ADD COLUMN ts_created    timestamp with time zone;
ALTER TABLE test_instance_room ADD COLUMN ts_modified   timestamp with time zone;
ALTER TABLE test_instance_room ADD COLUMN user_modified varchar(50);
SELECT audit.audit_table('test_instance_room');



COMMIT WORK;
